# Engagements Object

> Source: https://truto.one/docs/api-reference/unified-crm-api/engagements/

Schema for the `Engagements` resource in **Unified CRM API**.

## Properties

- **`id`** _(string, required)_
  The engagement's unique identifier
- **`owner`** _(object)_
  The engagement's owner
  - **`id`** _(string)_
    The owner's unique identifier
- **`content`** _(string)_
  The engagement's content
- **`subject`** _(string)_
  The engagement's subject
- **`direction`** _(string)_
  The engagement's direction
- **`engagement_type`** _(string)_
  The engagement's type - call, email, meeting or raw response
- **`internal_notes`** _(string)_
  The engagement's internal notes
- **`notes`** _(array<object>)_
  The engagement's notes
  - **`id`** _(string)_
    The note's unique identifier
- **`status`** _(string)_
  The engagement's status
- **`start_time`** _(string)_
  The engagement's start time
- **`end_time`** _(string)_
  The engagement's end time
- **`duration`** _(string)_
  The engagement's duration
- **`project`** _(object)_
  The engagement's project
  - **`id`** _(string)_
    The project's unique identifier
- **`account`** _(object)_
  The engagement's account
  - **`id`** _(string)_
    The account's unique identifier
- **`contact`** _(array<object>)_
  The engagement's contacts
  - **`id`** _(string)_
    The contact's unique identifier
- **`opportunity`** _(array<object>)_
  The engagement's opportunity
  - **`id`** _(string)_
    The opportunity's unique identifier
- **`lead`** _(array<object>)_
  The engagement's lead
  - **`id`** _(string)_
    The lead's unique identifier
- **`phone_numbers`** _(array<object>)_
  - **`id`** _(string)_
    The unique identifier of the phone number
  - **`number`** _(string)_
    The phone number
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The phone number type
- **`custom_fields`** _(object)_
  All the custom fields present on the engagement
- **`created_at`** _(string)_
  The date and time of the engagement's creation
- **`updated_at`** _(string)_
  The date and time of the engagement's last update
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/crm/engagements](/docs/api-reference/unified-crm-api/engagements/list) — List Engagements
- [POST /unified/crm/engagements](/docs/api-reference/unified-crm-api/engagements/create) — Create Engagements
- [GET /unified/crm/engagements/{id}](/docs/api-reference/unified-crm-api/engagements/get) — Get Engagements
- [PATCH /unified/crm/engagements/{id}](/docs/api-reference/unified-crm-api/engagements/update) — Update Engagements
- [DELETE /unified/crm/engagements/{id}](/docs/api-reference/unified-crm-api/engagements/delete) — Delete Engagements
